# dkim_dns_init()

[back to index]

SYNOPSIS

    #include <dkim.h>
    int dkim_dns_init(
    	DKIM_LIB *libopendkim)
    );

Initializes the DNS resolver to be used by the library. This in turn calls either the compiled-in default or the replacement provided by a call to `dkim_dns_set_init()`. This is automatically called if the resolver has not yet been initialized and the library needs to perform a DNS lookup.

DESCRIPTION

Called When | `dkim_dns_init()` can be called at any time. It always returns `DKIM_DNS_SUCCESS` if the resolver was already initialized.

ARGUMENTS

Argument | Description
--- | ---
libopendkim | The library instantiation handle, returned by `dkim_init()`.

RETURN VALUES

- `DKIM_DNS_SUCCESS` -- successful operation
- `DKIM_DNS_INVALID` -- already initialized
- `DKIM_DNS_ERROR` -- an error occurred

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.